Update Prospect: Knock
https://api.propexo.com/crm/v1/prospects/knock/:prospect_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the prospect
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the agent
The primary email address associated with the prospect
Primary phone number associated with the prospect
The first name associated with the prospect
The last name associated with the prospect
The move-in date associated with the prospect
Show 2 variants
The number of occupants living in the unit
Possible values: > 0
The amount of months for the lease term
Possible values: >= 1
The minimum rent of the prospect
Possible values: >= 1
The maximum rent of the prospect
Possible values: >= 1
The number of bedrooms associated with the prospect. 0 represents a studio unit. 3 represents three or more bedrooms.
Possible values: >= 0 and <= 3
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the prospect
The Propexo unique identifier for the agent
The primary email address associated with the prospect
Primary phone number associated with the prospect
The first name associated with the prospect
The last name associated with the prospect
The move-in date associated with the prospect
Show 2 variants
The number of occupants living in the unit
Possible values: > 0
The amount of months for the lease term
Possible values: >= 1
The minimum rent of the prospect
Possible values: >= 1
The maximum rent of the prospect
Possible values: >= 1
Possible values: >= 0 and <= 3
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/crm/v1/prospects/knock/:prospect_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"agent_id": "string",
"email_1": "string",
"phone_1": "string",
"first_name": "string",
"last_name": "string",
"move_in_date": "2024-07-29T15:51:28.071Z",
"number_of_occupants": 0,
"lease_term_in_months": 0,
"rent_minimum_in_cents": 0,
"rent_maximum_in_cents": 0,
"desired_num_bedrooms": [
0
]
}'
{
"meta": {
"job_id": "string"
},
"result": {
"prospect_id": "string",
"agent_id": "string",
"email_1": "string",
"phone_1": "string",
"first_name": "string",
"last_name": "string",
"move_in_date": "2024-07-29T15:51:28.071Z",
"number_of_occupants": 0,
"lease_term_in_months": 0,
"rent_minimum_in_cents": 0,
"rent_maximum_in_cents": 0,
"desired_num_bedrooms": [
0
]
}
}